GET Api/InspectionMaintenanceAction/{id}

URI Example

GET Api/InspectionMaintenanceAction/{id}

URI Parameters

NameDescriptionTypeAdditional information
id

integer

Required

Body Parameters

None.

Resource Description

InspectionMaintActionResource
NameDescriptionTypeAdditional information
Id

integer

None.

InspectionId

integer

None.

Date

date

None.

Description

string

None.

IsStructural

boolean

None.

IsBlocked

boolean

None.

UpdateDate

date

None.

_links

Dictionary of string [key] and Link [value]

None.

_embedded

Dictionary of string [key] and Object [value]

None.

Response Formats

application/json, text/json, application/hal+json
  • {
      "_links": {
        "sample string 1": {
          "href": "sample string 1",
          "method": "sample string 2",
          "rel": [
            "sample string 1",
            "sample string 2"
          ]
        },
        "sample string 2": {
          "href": "sample string 1",
          "method": "sample string 2",
          "rel": [
            "sample string 1",
            "sample string 2"
          ]
        }
      },
      "id": 1,
      "inspectionId": 2,
      "date": "2026-10-29T13:05:17.4661768+01:00",
      "description": "sample string 4",
      "isStructural": true,
      "isBlocked": true,
      "updateDate": "2026-10-29T13:05:17.4661768+01:00",
      "_embedded": {
        "sample string 1": {},
        "sample string 3": {}
      }
    }